<?php
/*
+ ----------------------------------------------------------------------------+
|     e107 website system
|
|     Steve Dunstan 2001-2002
|     http://e107.org
|     jalist@e107.org
|
|     Released under the terms and conditions of the
|     GNU General Public License (http://gnu.org).
|
|     $Source: /e107_0.7/e107_themes/CMI_Citrus/theme.php,v $
|     $Revision: 2.0 $
|     $Date: March 06, 2006 $
|     $Author: frederickmcaninch $
+----------------------------------------------------------------------------+
*/

if (!defined('e107_INIT')) { exit; }

// [multilanguage]

@include_once(e_THEME."CMI_Citrus/languages/".e_LANGUAGE.".php");
@include_once(e_THEME."CMI_Citrus/languages/English.php");

// [theme]
$themename = "CMI_Citrus";
$themeversion = "2.0";
$themeauthor = "<a href='http://www.themcaninchfamilyonline.com' title='Frederick McAninch' accesskey='Changing the Web one Page at a time.'>(CMI) Cougar Mountain Internet</a>";
$themeemail = "frederick@themcaninchfamilyonline.com";
$themewebsite = "http://www.themcaninchfamilyonline.com";
$themedate = "March 06, 2006";
$themeinfo = "<a href='../e107_themes/CMI_Citrus/credits.php' title='(CMI) Cougar Mountain Internet Credits & Information' accesskey='View the credits and information regarding this theme.'><b>VIEW THEME CREDITS & INFORMATION</b></a>";
define("STANDARDS_MODE", TRUE);
$xhtmlcompliant = TRUE;
$csscompliant = TRUE;
define("IMODE", "lite");
define("THEME_DISCLAIMER", "<br /><i>".LAN_THEME_1."</i>");

if(!defined("e_THEME")){ exit; }
$page=substr(strrchr($_SERVER['PHP_SELF'], "/"), 1);
define("e_PAGE", $page);

// GET OTHER FUNCTIONS //////////////////////////
require_once(THEME . "helper_functions.php");

//=============== SHORTCODES BEGIN ======================
// [navigation]
$register_sc[]= "NAVIGATION";  // register shortcode ul.sc for inclusion.
$register_sc[] = 'IMAGEGEN';    // Text Image Generator

//=============== SHORTCODES END ========================

$logoimg = rand(1, 5);

function theme_head() {
	global $logo;
	return "<link rel='stylesheet' type='text/css' href='".THEME_ABS."style.css' />
	<script type='text/javascript' src='".THEME_ABS."nicetitle.js'></script>
	<style type='text/css'>
	#header{
		position: relative;
	}
	</style>";
}


// [layout]

$layout = "_default";
$logo = SITENAME;
$stag = SITETAG;
$logoImage = getImage('logo_bn', $logo);
$tagImage = getImage('tag_bn', $stag);

$HEADER = "
<div id='page'>
	<div id='header".$logoimg."'>
		<div id='headerimg'>
			<h1><div align='center'><a href='".SITEURL."' title='{SITENAME}' accesskey='{SITETAG}'>$logoImage</a></div></h1>
			<div class='sitetag'>
			<div align='center'><a href='".SITEURL."' title='{SITENAME}' accesskey='{SITETAG}'>$tagImage</a></div>
			</div>
		</div>
		<div align='center'>
			{NAVIGATION}
		</div>
	</div>
	<div id='content' class='narrowcolumn'>
";

$FOOTER = "
	</div>
	<div id='sidebar'>
		{MENU=1}
		{CUSTOM=search}
	</div>
	<hr />
	<div id='footer'>
		<p>
		{SITEDISCLAIMER}<br />{THEMEDISCLAIMER}
		</p>
	</div>
</div>
";

$CUSTOMHEADER = "
<div id='page2'>
	<div id='header".$logoimg."'>
		<div id='headerimg'>
			<h1><div align='center'><a href='".SITEURL."' title='{SITENAME}' accesskey='{SITETAG}'>$logoImage</a></div></h1>
			<div class='sitetag'>
			<div align='center'><a href='".SITEURL."' title='{SITENAME}' accesskey='{SITETAG}'>$tagImage</a></div>
			</div>
		</div>
		<div align='center'>
			{NAVIGATION}
		</div>
	</div>
	<div id='content' class='widecolumn'>
";

$CUSTOMFOOTER = "
	</div>
	<hr />
	<div id='footer'>
		<p>
		{SITEDISCLAIMER}<br />{THEMEDISCLAIMER}
		</p>
	</div>
</div>
";

$CUSTOMPAGES = "forum.php forum_post.php forum_viewforum.php forum_viewtopic.php user.php submitnews.php download.php links.php stats.php usersettings.php signup.php";

// [newsstyle]
function news_style($news) {
$news_title_style = 'news_bn';
$newsImage = getImage( $news_title_style, $news['news_title'] );
$mydate  = strftime("%m/%d/%y", $news['news_datestamp']);

$NEWSSTYLE = "
<h2>$newsImage</h2>
<small>on {NEWSDATE} | by {NEWSAUTHOR}</small>
<div class='entry' style='text-align:left'>
	{NEWSBODY}
	{EXTENDED}
</div>
<div style='text-align:right' class='smalltext'>
	{NEWSCOMMENTS}{TRACKBACK}
</div>
<br />";
return $NEWSSTYLE;
}


define("ICONSTYLE", "float: left; border:0");
define("COMMENTLINK", LAN_THEME_3);
define("COMMENTOFFSTRING", LAN_THEME_2);
define("PRE_EXTENDEDSTRING", "<br /><br />[ ");
define("EXTENDEDSTRING", LAN_THEME_4);
define("POST_EXTENDEDSTRING", " ]<br />");
define("TRACKBACKSTRING", LAN_THEME_5);
define("TRACKBACKBEFORESTRING", " | ");


// [linkstyle]

define('PRELINK', "");
define('POSTLINK', "");
define('LINKSTART', "");
define('LINKEND', "");
define('LINKDISPLAY', 1);
define('LINKALIGN', "");
define('LINKCLASS', "");

//	[tablestyle]

function tablestyle($caption, $text, $mode){
	global $style;
	$caption = $caption ? $caption : '&nbsp;';
	$menu .= ($style && $style != 'default') ? ' non_default' : '';
	
	$captionImage = getImage('menu_bn', $caption);

	echo "
	<h3>$captionImage</h3>\n
	<div>
		$text
	</div>
	<br />\n
	";
}

//	[commentstyle]
$COMMENTSTYLE = "
<div style='width: 450px;'>
	<div style='width: 100%; vertical-align: top;'>
		<span class='mediumtext'>
			{AVATAR}{USERNAME}
		</span>
		<br />
		<span class='smalltext'>
			{TIMEDATE} {COMMENTEDIT}
		</span>
		<br />
		{REPLY}
		<br />
		<span class='mediumtext'>
			{COMMENT}
		</span>
	</div>
</div>";

//	[chatboxstyle]
$CHATBOXSTYLE = "
<img src='".e_IMAGE."admin_images/chatbox_16.png' alt='' style='vertical-align: middle;' />
<b>{USERNAME}</b>
<div class='smalltext'>
	{MESSAGE}
</div>
<br />";

?>